/*
 * taskview.h
 *
 * Taskview
 *
 * Copyright © 2010 Salomon Sickert
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation; either version 3 of the licence or (at
 * your option) any later version.
 *
 * See the included COPYING.LESSER file for more information.
 *
 * Authors:
 *    Salomon Sickert <sickert@in.tum.de>
 */

#ifndef __TASKVIEW_H__
#define __TASKVIEW_H__

#include "taskview-worker.h"
#include "taskview-observer.h"

#define TASKVIEW_BUS_PREFIX "org.gnome.TaskView."
#define TASKVIEW_MONITOR_BUS_NAME "org.gnome.TaskView.Monitor"

#define TASKVIEW_MANAGER_OBJECTPATH "/org/gnome/TaskView/Manager"
#define TASKVIEW_SUBTREE_OBJECTPATH "/org/gnome/TaskView/View"

#define TASKVIEW_MANAGER_INTERFACE_NAME "org.gnome.TaskView.Manager"
#define TASKVIEW_GENERIC_INTERFACE_NAME "org.gnome.TaskView.Generic"
#define TASKVIEW_IO_INTERFACE_NAME "org.gnome.TaskView.IO"

typedef enum {
  TASKVIEW_PREPARING,
  TASKVIEW_RUNNING,
  TASKVIEW_FINISHED,
  TASKVIEW_PAUSED,
  TASKVIEW_ERROR,
  TASKVIEW_CANCELLED
} TaskviewState;

typedef enum {
  TASKVIEW_IO_COPY,
  TASKVIEW_IO_MOVE,
  TASKVIEW_IO_DELETE,
  TASKVIEW_IO_TRASH, /* Moving files to trash */
  TASKVIEW_IO_LINK,  /* Symlink */
  TASKVIEW_IO_MODIFY_PERMISSION,
  TASKVIEW_IO_UNKNOWN
  /* MOUNT, EJECT ... */
} TaskviewIOType;

#endif
